# std::priority_queue<T,Container,Compare>::emplace

From cppreference.com
< cpp‎ | container‎ | priority queue

template< class... Args > void emplace( Args&&... args ); |  | (since C++11)

Pushes a new element to the priority queue. The element is constructed in-place, i.e. no copy or move operations are performed. The constructor of the element is called with exactly the same arguments as supplied to the function.

Effectively calls c.emplace_back( std::forward <Args>(args)...); std::push_heap (c.begin(), c.end(), comp);

### Parameters

args | - | arguments to forward to the constructor of the element

### Return value

(none)

### Complexity

Logarithmic number of comparisons plus the complexity of Container::emplace_back.

### See also

push | inserts element and sorts the underlying container (public member function)
pop | removes the top element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/priority_queue/emplace&oldid=50624"